#172 closed defect (fixed)

powerpc/motorola_powerpc: .eh_frame

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: high Milestone: 2
Component: bsps Version: unknown
Severity: critical Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

# powerpc-rtems-gcc --pipe -B../../../../../lib/
-B../../../../../mvme2307/lib/ -specs bsp_specs -qrtems -g -Wall
-mcpu=604 -mmultiple -mstring -mstrict-align -ansi -fasm -L
../../../../../mvme2307/lib -O4 -o o-optimize/hello.nxe
o-optimize/init.o ../../../../../mvme2307/lib/no-dpmem.rel
../../../../../mvme2307/lib/no-event.rel
../../../../../mvme2307/lib/no-msg.rel
../../../../../mvme2307/lib/no-mp.rel
../../../../../mvme2307/lib/no-part.rel
../../../../../mvme2307/lib/no-signal.rel
../../../../../mvme2307/lib/no-timer.rel
../../../../../mvme2307/lib/no-rtmon.rel
/opt/rtems/lib/gcc-lib/powerpc-rtems/3.0.4/../../../../powerpc-rtems/bin/ld: warning: no memory region specified for section `.eh_frame'
/opt/rtems/lib/gcc-lib/powerpc-rtems/3.0.4/../../../../powerpc-rtems/bin/ld: section .eh_frame [0001d000 -> 0001d003] overlaps section .data [0001c2b0 -> 0001de6f]
collect2: ld returned 1 exit status

Release:
CVS

Environment:
binutils-2.12 + gcc-3.0.4

Attachments (1)

rtems-rc-20020407-0a.diff (725 bytes) - added by Ralf Corsepius on Dec 3, 2006 at 1:31:12 PM.
rtems-rc-20020407-0a.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Apr 7, 2002 at 8:09:49 AM by Ralf Corsepius

Owner: changed from mayes to joel

comment:2 Changed on Apr 8, 2002 at 2:57:57 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: All PowerPC BSPs now have this section in their linkcmds.

Changed on Dec 3, 2006 at 1:31:12 PM by Ralf Corsepius

Attachment: rtems-rc-20020407-0a.diff added

rtems-rc-20020407-0a.diff

Note: See TracTickets for help on using tickets.